# /sys/internal/ui/resultant-acl

The `/sys/internal/ui/resultant-acl` endpoint is used to expose resultant-acl to the UI so that it can change its behavior in response.

This is currently only being used internally for the UI. Due to the nature of its intended usage, there is no guarantee on backwards compatibility for this endpoint.

### Get resultant-acl

This endpoint lists the resultant-acl relevant to the UI.

| Method | Path                             |
| ------ | -------------------------------- |
| `GET`  | `/sys/internal/ui/resultant-acl` |

#### Sample request

```shell-session
$ curl \
    http://127.0.0.1:8200/v1/sys/internal/ui/resultant-acl
```

#### Sample response

```json
{
  "resultant-acl": []
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-internal-ui-resultant-acl.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
